Bug 22066 - branchcode should be recorded for manual credits
Summary: branchcode should be recorded for manual credits
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 19066
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-03 19:09 UTC by Nick Clemens
Modified: 2019-02-06 18:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22066: Record library_id for manual credits (1.44 KB, patch)
2019-01-07 18:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22066: Record library_id for manual credits (1.49 KB, patch)
2019-01-09 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22066: Record library_id for manual credits (1.55 KB, patch)
2019-01-09 14:48 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-01-03 19:09:33 UTC

    
Comment 1 Tomás Cohen Arazi 2019-01-07 18:09:46 UTC
Created attachment 83699 [details] [review]
Bug 22066: Record library_id for manual credits

On creating manual credits, the (newly introduced) branchcode should be
set now. This trivial patch makes it work.

To test:
- Create a manual credit for a known patron
- Using MySQL check the result:
  $ sudo mysql
  > SELECT * FROM accountlines WHERE borrowernumber=<known_id>;
=> FAIL: The created accountline row has NULL for the branchcode
- Apply this patch
- Create a manual credit for the patron
- Run:
  > SELECT * FROM accountlines WHERE borrowernumber=<known_id>;
=> SUCCESS: branchcode is set correctly
-Sign off :-D
Comment 2 Owen Leonard 2019-01-09 13:45:20 UTC
Created attachment 83742 [details] [review]
Bug 22066: Record library_id for manual credits

On creating manual credits, the (newly introduced) branchcode should be
set now. This trivial patch makes it work.

To test:
- Create a manual credit for a known patron
- Using MySQL check the result:
  $ sudo mysql
  > SELECT * FROM accountlines WHERE borrowernumber=<known_id>;
=> FAIL: The created accountline row has NULL for the branchcode
- Apply this patch
- Create a manual credit for the patron
- Run:
  > SELECT * FROM accountlines WHERE borrowernumber=<known_id>;
=> SUCCESS: branchcode is set correctly
-Sign off :-D

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Josef Moravec 2019-01-09 14:48:50 UTC
Created attachment 83744 [details] [review]
Bug 22066: Record library_id for manual credits

On creating manual credits, the (newly introduced) branchcode should be
set now. This trivial patch makes it work.

To test:
- Create a manual credit for a known patron
- Using MySQL check the result:
  $ sudo mysql
  > SELECT * FROM accountlines WHERE borrowernumber=<known_id>;
=> FAIL: The created accountline row has NULL for the branchcode
- Apply this patch
- Create a manual credit for the patron
- Run:
  > SELECT * FROM accountlines WHERE borrowernumber=<known_id>;
=> SUCCESS: branchcode is set correctly
-Sign off :-D

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Nick Clemens 2019-01-28 14:16:07 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-02-01 12:31:57 UTC
Pushed to 18.11.x for 18.11.03
Comment 6 Jesse Maseto 2019-02-06 17:37:09 UTC
Merge conflict with 18.05.x. Please rebase to 18.05.x if needed.
Comment 7 Tomás Cohen Arazi 2019-02-06 18:07:41 UTC
The dependency is not in 18.05, so it is safe to skip this one!